DynConstructors.Builder (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.util.dynamic, class: DynConstructors, class: Builder

Package org.apache.hadoop.util.dynamic

# Class DynConstructors.Builder

java.lang.Object
org.apache.hadoop.util.dynamic.DynConstructors.Builder

Enclosing class:
  DynConstructors

public static class DynConstructors.Builder extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  `Builder(Class<?> baseClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<C> DynConstructors.Ctor<C>`
  `build()`
  `<C> DynConstructors.Ctor<C>`
  `buildChecked()`
  `DynConstructors.Builder`
  `hiddenImpl(Class<?>... types)`
  `<T> DynConstructors.Builder`
  `hiddenImpl(Class<T> targetClass, Class<?>... types)`
  `DynConstructors.Builder`
  `hiddenImpl(String className, Class<?>... types)`
  `<T> DynConstructors.Builder`
  `impl(Class<T> targetClass, Class<?>... types)`
  `DynConstructors.Builder`
  `impl(String className, Class<?>... types)`
  `DynConstructors.Builder`
  `loader(ClassLoader value)`
  Set the `ClassLoader` used to lookup classes by name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder(Class<?> baseClass)

  - ### Builder

    public Builder()

- ## Method Details

  - ### loader

    public DynConstructors.Builder loader(ClassLoader value)
    Set the `ClassLoader` used to lookup classes by name.

    If not set, the current thread's ClassLoader is used.

    Parameters:
      `value` - a ClassLoader
    Returns:
      this Builder for method chaining

  - ### impl

    public DynConstructors.Builder impl(String className, Class<?>... types)

  - ### impl

    public <T> DynConstructors.Builder impl(Class<T> targetClass, Class<?>... types)

  - ### hiddenImpl

    public DynConstructors.Builder hiddenImpl(Class<?>... types)

  - ### hiddenImpl

    public DynConstructors.Builder hiddenImpl(String className, Class<?>... types)

  - ### hiddenImpl

    public <T> DynConstructors.Builder hiddenImpl(Class<T> targetClass, Class<?>... types)

  - ### buildChecked

    public <C> DynConstructors.Ctor<C> buildChecked() throws NoSuchMethodException
    Throws:
      `NoSuchMethodException`

  - ### build

    public <C> DynConstructors.Ctor<C> build()